package com.google.android.play.core.assetpacks;

import com.bytedance.covode.number.Covode;
import java.io.InputStream;

public final class ar extends bo {
    public final int LIZ;
    public final long LIZIZ;
    public final String LIZJ;
    public final int LIZLLL;
    public final int LJ;
    public final int LJFF;
    public final long LJI;
    public final int LJII;
    public final InputStream LJIIIIZZ;

    static {
        Covode.recordClassIndex(44124);
    }

    public ar(int i, String str, int i2, long j, String str2, int i3, int i4, int i5, long j2, int i6, InputStream inputStream) {
        super(i, str);
        this.LIZ = i2;
        this.LIZIZ = j;
        this.LIZJ = str2;
        this.LIZLLL = i3;
        this.LJ = i4;
        this.LJFF = i5;
        this.LJI = j2;
        this.LJII = i6;
        this.LJIIIIZZ = inputStream;
    }

    public final boolean LIZ() {
        return this.LJ + 1 == this.LJFF;
    }
}
